Get bank payout order details
curl --request GET \
--url https://sandbox-revo-api.raliopay.com/api/v1/account/bank-payouts/{oid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-revo-api.raliopay.com/api/v1/account/bank-payouts/{oid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-revo-api.raliopay.com/api/v1/account/bank-payouts/{oid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"canCancel": true,
"cancelRequestedAt": "2025-01-15T10:31:00Z",
"canceledAt": "2025-01-15T10:32:00Z",
"createdAt": "2025-01-15T10:30:00Z",
"description": "Payment for services rendered",
"destination": {
"currency": "CURRENCY",
"amount": 1000
},
"displayType": "Bank Pay Out",
"failedAt": "2025-01-15T10:35:00Z",
"fee": {
"amount": 100,
"breakdown": {
"merchantFee": 40,
"systemFee": 60
},
"currency": "EUR"
},
"fx": {
"pair": "CURRENCY/CURRENCY",
"rate": 1.08,
"timestamp": "2025-01-15T10:30:00Z"
},
"id": "e5f6a7b8-c9d0-4e1f-2a3b-4c5d6e7f8a9b",
"origin": {
"currency": "CURRENCY",
"amount": 1000
},
"recipient": {
"accountNumber": "ES9121000418450200051332",
"address": "Calle Gran Via 123",
"beneficiaryType": "PERSON",
"city": "Barcelona",
"country": "ES",
"currency": "EUR",
"documentNumber": "87654321B",
"name": "Maria",
"postalCode": "08001",
"routingData": "SEPA",
"amount": 123,
"bankCountry": "ES",
"documentType": "NATIONAL_ID",
"phone": "+34612345678",
"province": "Barcelona",
"relation": "FRIEND",
"surname": "Garcia",
"swift": "BANKES"
},
"reference": "PAY-2025-001234",
"sender": {
"accountId": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d"
},
"settledAt": "2025-01-15T10:35:00Z",
"state": "SETTLED",
"type": "BANK_PAY_OUT",
"updatedAt": "2025-01-15T10:30:05Z"
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}Bank Payout
Get bank payout order details
Get details of a specific bank payout order
GET
/
api
/
v1
/
account
/
bank-payouts
/
{oid}
Get bank payout order details
Authorizations
API Key for accessing management endpoints
Path Parameters
Bank Payout Order ID
Response
OK
Example:
true
Example:
"2025-01-15T10:31:00Z"
Example:
"2025-01-15T10:32:00Z"
Example:
"2025-01-15T10:30:00Z"
Example:
"Payment for services rendered"
Show child attributes
Show child attributes
Example:
"Bank Pay Out"
Example:
"2025-01-15T10:35:00Z"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"e5f6a7b8-c9d0-4e1f-2a3b-4c5d6e7f8a9b"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"PAY-2025-001234"
Show child attributes
Show child attributes
Example:
"2025-01-15T10:35:00Z"
Example:
"SETTLED"
Example:
"BANK_PAY_OUT"
Example:
"2025-01-15T10:30:05Z"
⌘I